//Source file: BindingNotificationCriteria.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm;

/**
 * Defines the Sequence of Data Elements that specifies the criteria relating to binding request notifications.
 * 
 */
public final class BindingNotificationCriteria implements java.io.Serializable {

    private int notificationCriteriaType;
    private org.csapi.jr.se.Address[] contactAddressSet;

    /**
     * Creates a new BindingNotificationCriteria instance.
     */
    public BindingNotificationCriteria () {}

    /**
     * Creates a new BindingNotificationCriteria instance.
     * @param _notificationCriteriaType   
     * @param _contactAddressSet   
     */
    public BindingNotificationCriteria (int _notificationCriteriaType, org.csapi.jr.se.Address[] _contactAddressSet) {

        this.notificationCriteriaType = _notificationCriteriaType;
        this.contactAddressSet = _contactAddressSet;
    }

    /**
     * This method returns a notificationCriteriaType.
     * 
     * @return a int value
     */
    public int getNotificationCriteriaType() {
        return notificationCriteriaType;
    }

    /**
     * This method returns a contactAddressSet.
     * 
     * @return a org.csapi.jr.se.Address[] value
     */
    public org.csapi.jr.se.Address[] getContactAddressSet() {
        return contactAddressSet;
    }


    /**
     * This method sets a notificationCriteriaType.
     */ 
    public void setNotificationCriteriaType(int notificationCriteriaType) {
        this.notificationCriteriaType = notificationCriteriaType;
    }

    /**
     * This method sets a contactAddressSet.
     */ 
    public void setContactAddressSet(org.csapi.jr.se.Address[] contactAddressSet) {
        this.contactAddressSet = contactAddressSet;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof BindingNotificationCriteria)) {
            return false;
        } 
        BindingNotificationCriteria bindingNotificationCriteria = (BindingNotificationCriteria) o;
        if(!(this.notificationCriteriaType == bindingNotificationCriteria.notificationCriteriaType))  {
            return false;
        }
        if(!(this.contactAddressSet == bindingNotificationCriteria.contactAddressSet))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // BindingNotificationCriteria

