//Source file: LocationResponseTime.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm;

/**
 * Defines the Sequence of Data Elements that specify the application's requirements on the mobility service's response time.
 * 
 */
public final class LocationResponseTime implements java.io.Serializable {

    private org.csapi.jr.se.mm.LocationResponseIndicator responseTime;
    private int timerValue;

    /**
     * Creates a new LocationResponseTime instance.
     */
    public LocationResponseTime () {}

    /**
     * Creates a new LocationResponseTime instance.
     * @param _responseTime   Indicator for which kind of response time that is required, see TpLocationResponseIndicator. 
     * @param _timerValue   Optional timer used in combination when ResponseTime equals P_M_USE_TIMER_VALUE.
     */
    public LocationResponseTime (org.csapi.jr.se.mm.LocationResponseIndicator _responseTime, int _timerValue) {

        this.responseTime = _responseTime;
        this.timerValue = _timerValue;
    }

    /**
     * This method returns a responseTime.
     * 
     * @return a org.csapi.jr.se.mm.LocationResponseIndicator value
     */
    public org.csapi.jr.se.mm.LocationResponseIndicator getResponseTime() {
        return responseTime;
    }

    /**
     * This method returns a timerValue.
     * 
     * @return a int value
     */
    public int getTimerValue() {
        return timerValue;
    }


    /**
     * This method sets a responseTime.
     */ 
    public void setResponseTime(org.csapi.jr.se.mm.LocationResponseIndicator responseTime) {
        this.responseTime = responseTime;
    }

    /**
     * This method sets a timerValue.
     */ 
    public void setTimerValue(int timerValue) {
        this.timerValue = timerValue;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof LocationResponseTime)) {
            return false;
        } 
        LocationResponseTime locationResponseTime = (LocationResponseTime) o;
        if ((this.responseTime != null) && (locationResponseTime.responseTime != null)) {
            if(!(this.responseTime.equals(locationResponseTime.responseTime))) {
                return false;
            }
        }
        if(!(this.timerValue == locationResponseTime.timerValue)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // LocationResponseTime

