//Source file: PeriodicLocationRequest.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm;

/**
 * Defines the Sequence of Data Elements that specify the criteria relating to periodic location requests.
 * 
 */
public final class PeriodicLocationRequest implements java.io.Serializable {

    private org.csapi.jr.se.Address[] users;
    private org.csapi.jr.se.mm.LocationRequest request;
    private int reportingInterval;
    private int assignmentID;

    /**
     * Creates a new PeriodicLocationRequest instance.
     */
    public PeriodicLocationRequest () {}

    /**
     * Creates a new PeriodicLocationRequest instance.
     * @param _users   
     * @param _request   
     * @param _reportingInterval   
     * @param _assignmentID   
     */
    public PeriodicLocationRequest (org.csapi.jr.se.Address[] _users, org.csapi.jr.se.mm.LocationRequest _request, int _reportingInterval, int _assignmentID) {

        this.users = _users;
        this.request = _request;
        this.reportingInterval = _reportingInterval;
        this.assignmentID = _assignmentID;
    }

    /**
     * This method returns a users.
     * 
     * @return a org.csapi.jr.se.Address[] value
     */
    public org.csapi.jr.se.Address[] getUsers() {
        return users;
    }

    /**
     * This method returns a request.
     * 
     * @return a org.csapi.jr.se.mm.LocationRequest value
     */
    public org.csapi.jr.se.mm.LocationRequest getRequest() {
        return request;
    }

    /**
     * This method returns a reportingInterval.
     * 
     * @return a int value
     */
    public int getReportingInterval() {
        return reportingInterval;
    }

    /**
     * This method returns a assignmentID.
     * 
     * @return a int value
     */
    public int getAssignmentID() {
        return assignmentID;
    }


    /**
     * This method sets a users.
     */ 
    public void setUsers(org.csapi.jr.se.Address[] users) {
        this.users = users;
    }

    /**
     * This method sets a request.
     */ 
    public void setRequest(org.csapi.jr.se.mm.LocationRequest request) {
        this.request = request;
    }

    /**
     * This method sets a reportingInterval.
     */ 
    public void setReportingInterval(int reportingInterval) {
        this.reportingInterval = reportingInterval;
    }

    /**
     * This method sets a assignmentID.
     */ 
    public void setAssignmentID(int assignmentID) {
        this.assignmentID = assignmentID;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PeriodicLocationRequest)) {
            return false;
        } 
        PeriodicLocationRequest periodicLocationRequest = (PeriodicLocationRequest) o;
        if(!(this.users == periodicLocationRequest.users))  {
            return false;
        }
        if ((this.request != null) && (periodicLocationRequest.request != null)) {
            if(!(this.request.equals(periodicLocationRequest.request))) {
                return false;
            }
        }
        if(!(this.reportingInterval == periodicLocationRequest.reportingInterval)) {
            return false;
        }
        if(!(this.assignmentID == periodicLocationRequest.assignmentID)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PeriodicLocationRequest

