//Source file: UserStatus.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm;

/**
 * Defines the Sequence of Data Elements that specify the identity and status of a user.
 * 
 */
public final class UserStatus implements java.io.Serializable {

    private org.csapi.jr.se.Address userID;
    private org.csapi.jr.se.mm.MobilityError statusCode;
    private org.csapi.jr.se.mm.UserStatusIndicator status;
    private org.csapi.jr.se.mm.TerminalType terminalType;

    /**
     * Creates a new UserStatus instance.
     */
    public UserStatus () {}

    /**
     * Creates a new UserStatus instance.
     * @param _userID   The user address.
     * @param _statusCode   Indicator of error.
     * @param _status   The current status of the user. 
     * @param _terminalType   The kind of terminal used by the user.
     */
    public UserStatus (org.csapi.jr.se.Address _userID, org.csapi.jr.se.mm.MobilityError _statusCode, org.csapi.jr.se.mm.UserStatusIndicator _status, org.csapi.jr.se.mm.TerminalType _terminalType) {

        this.userID = _userID;
        this.statusCode = _statusCode;
        this.status = _status;
        this.terminalType = _terminalType;
    }

    /**
     * This method returns a userID.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getUserID() {
        return userID;
    }

    /**
     * This method returns a statusCode.
     * 
     * @return a org.csapi.jr.se.mm.MobilityError value
     */
    public org.csapi.jr.se.mm.MobilityError getStatusCode() {
        return statusCode;
    }

    /**
     * This method returns a status.
     * 
     * @return a org.csapi.jr.se.mm.UserStatusIndicator value
     */
    public org.csapi.jr.se.mm.UserStatusIndicator getStatus() {
        return status;
    }

    /**
     * This method returns a terminalType.
     * 
     * @return a org.csapi.jr.se.mm.TerminalType value
     */
    public org.csapi.jr.se.mm.TerminalType getTerminalType() {
        return terminalType;
    }


    /**
     * This method sets a userID.
     */ 
    public void setUserID(org.csapi.jr.se.Address userID) {
        this.userID = userID;
    }

    /**
     * This method sets a statusCode.
     */ 
    public void setStatusCode(org.csapi.jr.se.mm.MobilityError statusCode) {
        this.statusCode = statusCode;
    }

    /**
     * This method sets a status.
     */ 
    public void setStatus(org.csapi.jr.se.mm.UserStatusIndicator status) {
        this.status = status;
    }

    /**
     * This method sets a terminalType.
     */ 
    public void setTerminalType(org.csapi.jr.se.mm.TerminalType terminalType) {
        this.terminalType = terminalType;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof UserStatus)) {
            return false;
        } 
        UserStatus userStatus = (UserStatus) o;
        if ((this.userID != null) && (userStatus.userID != null)) {
            if(!(this.userID.equals(userStatus.userID))) {
                return false;
            }
        }
        if ((this.statusCode != null) && (userStatus.statusCode != null)) {
            if(!(this.statusCode.equals(userStatus.statusCode))) {
                return false;
            }
        }
        if ((this.status != null) && (userStatus.status != null)) {
            if(!(this.status.equals(userStatus.status))) {
                return false;
            }
        }
        if ((this.terminalType != null) && (userStatus.terminalType != null)) {
            if(!(this.terminalType.equals(userStatus.terminalType))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // UserStatus

