//Source file: UserStatusIndicatorExtended.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm;

/**
 * Defines the status of a user.
 * 
 */
public final class UserStatusIndicatorExtended implements java.io.Serializable {

    private org.csapi.jr.se.mm.UserStatusIndicator userStatusIndicator;
    private boolean pDPContextActive;

    /**
     * Creates a new UserStatusIndicatorExtended instance.
     */
    public UserStatusIndicatorExtended () {}

    /**
     * Creates a new UserStatusIndicatorExtended instance.
     * @param _userStatusIndicator   Indicatation whether the user is busy, reachable or not reachable
     * @param _pDPContextActive   Indication whether the user currently has an ongoing data session (that is PDP context established)
     */
    public UserStatusIndicatorExtended (org.csapi.jr.se.mm.UserStatusIndicator _userStatusIndicator, boolean _pDPContextActive) {

        this.userStatusIndicator = _userStatusIndicator;
        this.pDPContextActive = _pDPContextActive;
    }

    /**
     * This method returns a userStatusIndicator.
     * 
     * @return a org.csapi.jr.se.mm.UserStatusIndicator value
     */
    public org.csapi.jr.se.mm.UserStatusIndicator getUserStatusIndicator() {
        return userStatusIndicator;
    }

    /**
     * This method returns a pDPContextActive.
     * 
     * @return a boolean value
     */
    public boolean getPDPContextActive() {
        return pDPContextActive;
    }


    /**
     * This method sets a userStatusIndicator.
     */ 
    public void setUserStatusIndicator(org.csapi.jr.se.mm.UserStatusIndicator userStatusIndicator) {
        this.userStatusIndicator = userStatusIndicator;
    }

    /**
     * This method sets a pDPContextActive.
     */ 
    public void setPDPContextActive(boolean pDPContextActive) {
        this.pDPContextActive = pDPContextActive;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof UserStatusIndicatorExtended)) {
            return false;
        } 
        UserStatusIndicatorExtended userStatusIndicatorExtended = (UserStatusIndicatorExtended) o;
        if ((this.userStatusIndicator != null) && (userStatusIndicatorExtended.userStatusIndicator != null)) {
            if(!(this.userStatusIndicator.equals(userStatusIndicatorExtended.userStatusIndicator))) {
                return false;
            }
        }
        if(!(this.pDPContextActive == userStatusIndicatorExtended.pDPContextActive)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // UserStatusIndicatorExtended

