//Source file: TriggeredBindingRequestNotification.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ub;

/**
 * This interface represents a TriggeredBindingRequestNotification activity object.<BR>
 *
 */
public interface TriggeredBindingRequestNotification extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UserBinding responsible for creation of the TriggeredBindingRequestNotification.
     *
     * @return  A reference to the UserBinding responsible for creation of the TriggeredBindingRequestNotification.
     */
    org.csapi.jr.se.mm.ub.UserBinding getUserBinding();

    /**
     * Adds a TriggeredBindingRequestNotificationListener which is interested in events generated by the TriggeredBindingRequestNotification.
     *
     * @param  triggeredBindingRequestNotificationListener  A reference to the TriggeredBindingRequestNotificationListener which is to be added as
     *        a listener.
     */
    void addTriggeredBindingRequestNotificationListener(org.csapi.jr.se.mm.ub.TriggeredBindingRequestNotificationListener triggeredBindingRequestNotificationListener);

    /**
     * Removes a TriggeredBindingRequestNotificationListener which is no longer interested events generated by the TriggeredBindingRequestNotification.
     *
     * @param  triggeredBindingRequestNotificationListener  A reference to the TriggeredBindingRequestNotificationListener which is to be removed as
     *        a listener.
     */
    void removeTriggeredBindingRequestNotificationListener(org.csapi.jr.se.mm.ub.TriggeredBindingRequestNotificationListener triggeredBindingRequestNotificationListener);

    /**
     * Invokes the triggeredBindingRequestNotificationStartReq() method on the Parlay Gateway.
     */
    void triggeredBindingRequestNotificationStartReq(
           org.csapi.jr.se.Address[] users,
           org.csapi.jr.se.mm.BindingNotificationCriteria[] criteria)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.UnknownSubscriberException,
       org.csapi.jr.se.InformationNotAvailableException,
       org.csapi.jr.se.ApplicationNotActivatedException,
       org.csapi.jr.se.InvalidInterfaceTypeException;

    /**
     * Invokes the triggeredBindingRequestNotificationStop() method on the Parlay Gateway.
     */
    void triggeredBindingRequestNotificationStop()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;
}
