//Source file: TriggeredBindingRequestNotificationEvent.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ub;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the triggeredBindingRequestNotification() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class TriggeredBindingRequestNotificationEvent extends java.util.EventObject {

    /**
     * Constructor for the TriggeredBindingRequestNotificationEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public TriggeredBindingRequestNotificationEvent(java.lang.Object source,
        org.csapi.jr.se.Address address,
        org.csapi.jr.se.mm.BindingEntry[][] contactInformation) {

        super(source);
      this.address = address;
      this.contactInformation = contactInformation;
 
    }

    org.csapi.jr.se.Address address;

    /**
     *  This method is used to retrieve the parameter value of 'address' passed up
     *  from the Gateway in it's call to the triggeredBindingRequestNotification() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'address' used on creation of this event.
     */
    public org.csapi.jr.se.Address getAddress() {

        return this.address;
    }
       
    org.csapi.jr.se.mm.BindingEntry[][] contactInformation;

    /**
     *  This method is used to retrieve the parameter value of 'contactInformation' passed up
     *  from the Gateway in it's call to the triggeredBindingRequestNotification() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'contactInformation' used on creation of this event.
     */
    public org.csapi.jr.se.mm.BindingEntry[][] getContactInformation() {

        return this.contactInformation;
    }
       
}

