//Source file: TriggeredBindingRequestNotificationListener.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ub;

/**
 * This interface is to be implemented for receiving events issued by the TriggeredBindingRequestNotification activity object.<BR>
 *
 */
public interface TriggeredBindingRequestNotificationListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the triggeredBindingRequestNotification() method on
     * the callback interface.
     *
     * @param  triggeredBindingRequestNotificationEvent  Reference to a TriggeredBindingRequestNotificationEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredBindingRequestNotificationEvent(org.csapi.jr.se.mm.ub.TriggeredBindingRequestNotificationEvent triggeredBindingRequestNotificationEvent);
    
    /**
     * Called due to a Gateway initiated call to the triggeredBindingRequestNotificationStartErr() method on
     * the callback interface.
     *
     * @param  triggeredBindingRequestNotificationStartErrEvent  Reference to a TriggeredBindingRequestNotificationStartErrEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredBindingRequestNotificationStartErrEvent(org.csapi.jr.se.mm.ub.TriggeredBindingRequestNotificationStartErrEvent triggeredBindingRequestNotificationStartErrEvent);
    

}
