//Source file: UserBinding.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ub;

/**
 * This interface represents a UserBinding.<BR>
 *
 */
public interface UserBinding extends org.csapi.jr.se.Service {

    /**
     * Adds a UserBindingListener which is interested in events generated by the UserBinding.
     *
     * @param  userBindingListener  A reference to the UserBindingListener which is to be added as
     *         a listener.
     */
    void addUserBindingListener(org.csapi.jr.se.mm.ub.UserBindingListener userBindingListener);

    /**
     * Removes a UserBindingListener which is no longer interested in events generated by the UserBinding.
     *
     * @param  userBindingListener  A reference to the UserBindingListener which is to be removed as
     *         a listener.
     */
    void removeUserBindingListener(org.csapi.jr.se.mm.ub.UserBindingListener userBindingListener);

    /**
     * Creates a TriggeredBindingRequestNotification object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the TriggeredBindingRequestNotification interface.
     */
    org.csapi.jr.se.mm.ub.TriggeredBindingRequestNotification createTriggeredBindingRequestNotification();

}
