//Source file: ExtendedLocationReport.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ul;

/**
 * This interface represents a ExtendedLocationReport activity object.<BR>
 *
 */
public interface ExtendedLocationReport extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UserLocation responsible for creation of the ExtendedLocationReport.
     *
     * @return  A reference to the UserLocation responsible for creation of the ExtendedLocationReport.
     */
    org.csapi.jr.se.mm.ul.UserLocation getUserLocation();

    /**
     * Adds a ExtendedLocationReportListener which is interested in events generated by the ExtendedLocationReport.
     *
     * @param  extendedLocationReportListener  A reference to the ExtendedLocationReportListener which is to be added as
     *        a listener.
     */
    void addExtendedLocationReportListener(org.csapi.jr.se.mm.ul.ExtendedLocationReportListener extendedLocationReportListener);

    /**
     * Removes a ExtendedLocationReportListener which is no longer interested events generated by the ExtendedLocationReport.
     *
     * @param  extendedLocationReportListener  A reference to the ExtendedLocationReportListener which is to be removed as
     *        a listener.
     */
    void removeExtendedLocationReportListener(org.csapi.jr.se.mm.ul.ExtendedLocationReportListener extendedLocationReportListener);

    /**
     * Invokes the extendedLocationReportReq() method on the Parlay Gateway.
     */
    void extendedLocationReportReq(
           org.csapi.jr.se.Address[] users,
           org.csapi.jr.se.mm.LocationRequest request)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.ApplicationNotActivatedException,
       org.csapi.jr.se.mm.RequestedAccuracyCannotBeDeliveredException,
       org.csapi.jr.se.mm.RequestedResponseTimeCannotBeDeliveredException,
       org.csapi.jr.se.InformationNotAvailableException,
       org.csapi.jr.se.InvalidInterfaceTypeException;
}
