//Source file: ExtendedLocationReportListener.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ul;

/**
 * This interface is to be implemented for receiving events issued by the ExtendedLocationReport activity object.<BR>
 *
 */
public interface ExtendedLocationReportListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the extendedLocationReportErr() method on
     * the callback interface.
     *
     * @param  extendedLocationReportErrEvent  Reference to a ExtendedLocationReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onExtendedLocationReportErrEvent(org.csapi.jr.se.mm.ul.ExtendedLocationReportErrEvent extendedLocationReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the extendedLocationReportRes() method on
     * the callback interface.
     *
     * @param  extendedLocationReportResEvent  Reference to a ExtendedLocationReportResEvent event
     *        emmited from the impl or activity object.
     */
    void onExtendedLocationReportResEvent(org.csapi.jr.se.mm.ul.ExtendedLocationReportResEvent extendedLocationReportResEvent);
    

}
