//Source file: ExtendedLocationReportResEvent.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ul;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the extendedLocationReportRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class ExtendedLocationReportResEvent extends java.util.EventObject {

    /**
     * Constructor for the ExtendedLocationReportResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ExtendedLocationReportResEvent(java.lang.Object source,
        org.csapi.jr.se.mm.UserLocationExtended[] locations) {

        super(source);
      this.locations = locations;
 
    }

    org.csapi.jr.se.mm.UserLocationExtended[] locations;

    /**
     *  This method is used to retrieve the parameter value of 'locations' passed up
     *  from the Gateway in it's call to the extendedLocationReportRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'locations' used on creation of this event.
     */
    public org.csapi.jr.se.mm.UserLocationExtended[] getLocations() {

        return this.locations;
    }
       
}

