//Source file: PeriodicLocationReporting.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ul;

/**
 * This interface represents a PeriodicLocationReporting activity object.<BR>
 *
 */
public interface PeriodicLocationReporting extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UserLocation responsible for creation of the PeriodicLocationReporting.
     *
     * @return  A reference to the UserLocation responsible for creation of the PeriodicLocationReporting.
     */
    org.csapi.jr.se.mm.ul.UserLocation getUserLocation();

    /**
     * Adds a PeriodicLocationReportingListener which is interested in events generated by the PeriodicLocationReporting.
     *
     * @param  periodicLocationReportingListener  A reference to the PeriodicLocationReportingListener which is to be added as
     *        a listener.
     */
    void addPeriodicLocationReportingListener(org.csapi.jr.se.mm.ul.PeriodicLocationReportingListener periodicLocationReportingListener);

    /**
     * Removes a PeriodicLocationReportingListener which is no longer interested events generated by the PeriodicLocationReporting.
     *
     * @param  periodicLocationReportingListener  A reference to the PeriodicLocationReportingListener which is to be removed as
     *        a listener.
     */
    void removePeriodicLocationReportingListener(org.csapi.jr.se.mm.ul.PeriodicLocationReportingListener periodicLocationReportingListener);

    /**
     * Invokes the periodicLocationReportingStartReq() method on the Parlay Gateway.
     */
    void periodicLocationReportingStartReq(
           org.csapi.jr.se.Address[] users,
           org.csapi.jr.se.mm.LocationRequest request,
           int                             reportingInterval)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mm.InvalidReportingIntervalException,
       org.csapi.jr.se.mm.RequestedAccuracyCannotBeDeliveredException,
       org.csapi.jr.se.mm.RequestedResponseTimeCannotBeDeliveredException,
       org.csapi.jr.se.ApplicationNotActivatedException,
       org.csapi.jr.se.InformationNotAvailableException,
       org.csapi.jr.se.InvalidInterfaceTypeException;

    /**
     * Invokes the periodicLocationReportingStop() method on the Parlay Gateway.
     */
    void periodicLocationReportingStop(
           org.csapi.jr.se.mm.MobilityStopAssignmentData stopRequest)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;
}
