//Source file: PeriodicLocationReportingListener.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ul;

/**
 * This interface is to be implemented for receiving events issued by the PeriodicLocationReporting activity object.<BR>
 *
 */
public interface PeriodicLocationReportingListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the periodicLocationReportErr() method on
     * the callback interface.
     *
     * @param  periodicLocationReportErrEvent  Reference to a PeriodicLocationReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onPeriodicLocationReportErrEvent(org.csapi.jr.se.mm.ul.PeriodicLocationReportErrEvent periodicLocationReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the periodicLocationReport() method on
     * the callback interface.
     *
     * @param  periodicLocationReportEvent  Reference to a PeriodicLocationReportEvent event
     *        emmited from the impl or activity object.
     */
    void onPeriodicLocationReportEvent(org.csapi.jr.se.mm.ul.PeriodicLocationReportEvent periodicLocationReportEvent);
    

}
