//Source file: TriggeredLocationReportingListener.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ul;

/**
 * This interface is to be implemented for receiving events issued by the TriggeredLocationReporting activity object.<BR>
 *
 */
public interface TriggeredLocationReportingListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the triggeredLocationReportErr() method on
     * the callback interface.
     *
     * @param  triggeredLocationReportErrEvent  Reference to a TriggeredLocationReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredLocationReportErrEvent(org.csapi.jr.se.mm.ul.TriggeredLocationReportErrEvent triggeredLocationReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the triggeredLocationReport() method on
     * the callback interface.
     *
     * @param  triggeredLocationReportEvent  Reference to a TriggeredLocationReportEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredLocationReportEvent(org.csapi.jr.se.mm.ul.TriggeredLocationReportEvent triggeredLocationReportEvent);
    
    /**
     * Called due to a Gateway initiated call to the triggeredReportingEnded() method on
     * the callback interface.
     *
     * @param  triggeredReportingEndedEvent  Reference to a TriggeredReportingEndedEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredReportingEndedEvent(org.csapi.jr.se.mm.ul.TriggeredReportingEndedEvent triggeredReportingEndedEvent);
    

}
