//Source file: TriggeredLocationReportEvent.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ulc;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the triggeredLocationReport() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class TriggeredLocationReportEvent extends java.util.EventObject {

    /**
     * Constructor for the TriggeredLocationReportEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public TriggeredLocationReportEvent(java.lang.Object source,
        org.csapi.jr.se.mm.UserLocationCamel location,
        org.csapi.jr.se.mm.LocationTriggerCamel criterion) {

        super(source);
      this.location = location;
      this.criterion = criterion;
 
    }

    org.csapi.jr.se.mm.UserLocationCamel location;

    /**
     *  This method is used to retrieve the parameter value of 'location' passed up
     *  from the Gateway in it's call to the triggeredLocationReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'location' used on creation of this event.
     */
    public org.csapi.jr.se.mm.UserLocationCamel getLocation() {

        return this.location;
    }
       
    org.csapi.jr.se.mm.LocationTriggerCamel criterion;

    /**
     *  This method is used to retrieve the parameter value of 'criterion' passed up
     *  from the Gateway in it's call to the triggeredLocationReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'criterion' used on creation of this event.
     */
    public org.csapi.jr.se.mm.LocationTriggerCamel getCriterion() {

        return this.criterion;
    }
       
}

