//Source file: TriggeredLocationReporting.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ulc;

/**
 * This interface represents a TriggeredLocationReporting activity object.<BR>
 *
 */
public interface TriggeredLocationReporting extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UserLocationCamel responsible for creation of the TriggeredLocationReporting.
     *
     * @return  A reference to the UserLocationCamel responsible for creation of the TriggeredLocationReporting.
     */
    org.csapi.jr.se.mm.ulc.UserLocationCamel getUserLocationCamel();

    /**
     * Adds a TriggeredLocationReportingListener which is interested in events generated by the TriggeredLocationReporting.
     *
     * @param  triggeredLocationReportingListener  A reference to the TriggeredLocationReportingListener which is to be added as
     *        a listener.
     */
    void addTriggeredLocationReportingListener(org.csapi.jr.se.mm.ulc.TriggeredLocationReportingListener triggeredLocationReportingListener);

    /**
     * Removes a TriggeredLocationReportingListener which is no longer interested events generated by the TriggeredLocationReporting.
     *
     * @param  triggeredLocationReportingListener  A reference to the TriggeredLocationReportingListener which is to be removed as
     *        a listener.
     */
    void removeTriggeredLocationReportingListener(org.csapi.jr.se.mm.ulc.TriggeredLocationReportingListener triggeredLocationReportingListener);

    /**
     * Invokes the triggeredLocationReportingStartReq() method on the Parlay Gateway.
     */
    void triggeredLocationReportingStartReq(
           org.csapi.jr.se.Address[] users,
           org.csapi.jr.se.mm.LocationTriggerCamel trigger)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.UnknownSubscriberException,
       org.csapi.jr.se.ApplicationNotActivatedException,
       org.csapi.jr.se.InformationNotAvailableException,
       org.csapi.jr.se.InvalidInterfaceTypeException;

    /**
     * Invokes the triggeredLocationReportingStop() method on the Parlay Gateway.
     */
    void triggeredLocationReportingStop(
           org.csapi.jr.se.mm.MobilityStopAssignmentData stopRequest)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;
}
