//Source file: EmergencyLocationReport.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ule;

/**
 * This interface represents a EmergencyLocationReport activity object.<BR>
 *
 */
public interface EmergencyLocationReport extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UserLocationEmergency responsible for creation of the EmergencyLocationReport.
     *
     * @return  A reference to the UserLocationEmergency responsible for creation of the EmergencyLocationReport.
     */
    org.csapi.jr.se.mm.ule.UserLocationEmergency getUserLocationEmergency();

    /**
     * Adds a EmergencyLocationReportListener which is interested in events generated by the EmergencyLocationReport.
     *
     * @param  emergencyLocationReportListener  A reference to the EmergencyLocationReportListener which is to be added as
     *        a listener.
     */
    void addEmergencyLocationReportListener(org.csapi.jr.se.mm.ule.EmergencyLocationReportListener emergencyLocationReportListener);

    /**
     * Removes a EmergencyLocationReportListener which is no longer interested events generated by the EmergencyLocationReport.
     *
     * @param  emergencyLocationReportListener  A reference to the EmergencyLocationReportListener which is to be removed as
     *        a listener.
     */
    void removeEmergencyLocationReportListener(org.csapi.jr.se.mm.ule.EmergencyLocationReportListener emergencyLocationReportListener);

    /**
     * Invokes the emergencyLocationReportReq() method on the Parlay Gateway.
     */
    void emergencyLocationReportReq(
           org.csapi.jr.se.mm.UserLocationEmergencyRequest request)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.UnknownSubscriberException,
       org.csapi.jr.se.InformationNotAvailableException,
       org.csapi.jr.se.ApplicationNotActivatedException,
       org.csapi.jr.se.InvalidInterfaceTypeException;
}
