//Source file: EmergencyLocationReportEvent.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ule;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the emergencyLocationReport() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class EmergencyLocationReportEvent extends java.util.EventObject {

    /**
     * Constructor for the EmergencyLocationReportEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public EmergencyLocationReportEvent(java.lang.Object source,
        org.csapi.jr.se.mm.UserLocationEmergency location) {

        super(source);
      this.location = location;
 
    }

    org.csapi.jr.se.mm.UserLocationEmergency location;

    /**
     *  This method is used to retrieve the parameter value of 'location' passed up
     *  from the Gateway in it's call to the emergencyLocationReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'location' used on creation of this event.
     */
    public org.csapi.jr.se.mm.UserLocationEmergency getLocation() {

        return this.location;
    }
       
}

