//Source file: EmergencyLocationReports.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ule;

/**
 * This interface represents a EmergencyLocationReports activity object.<BR>
 *
 */
public interface EmergencyLocationReports extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UserLocationEmergency responsible for creation of the EmergencyLocationReports.
     *
     * @return  A reference to the UserLocationEmergency responsible for creation of the EmergencyLocationReports.
     */
    org.csapi.jr.se.mm.ule.UserLocationEmergency getUserLocationEmergency();

    /**
     * Adds a EmergencyLocationReportsListener which is interested in events generated by the EmergencyLocationReports.
     *
     * @param  emergencyLocationReportsListener  A reference to the EmergencyLocationReportsListener which is to be added as
     *        a listener.
     */
    void addEmergencyLocationReportsListener(org.csapi.jr.se.mm.ule.EmergencyLocationReportsListener emergencyLocationReportsListener);

    /**
     * Removes a EmergencyLocationReportsListener which is no longer interested events generated by the EmergencyLocationReports.
     *
     * @param  emergencyLocationReportsListener  A reference to the EmergencyLocationReportsListener which is to be removed as
     *        a listener.
     */
    void removeEmergencyLocationReportsListener(org.csapi.jr.se.mm.ule.EmergencyLocationReportsListener emergencyLocationReportsListener);

    /**
     * Invokes the subscribeEmergencyLocationReports() method on the Parlay Gateway.
     */
    void subscribeEmergencyLocationReports()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidInterfaceTypeException;

    /**
     * Invokes the unSubscribeEmergencyLocationReports() method on the Parlay Gateway.
     */
    void unSubscribeEmergencyLocationReports()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;
}
