//Source file: EmergencyLocationReportsListener.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ule;

/**
 * This interface is to be implemented for receiving events issued by the EmergencyLocationReports activity object.<BR>
 *
 */
public interface EmergencyLocationReportsListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the emergencyLocationReportErr() method on
     * the callback interface.
     *
     * @param  emergencyLocationReportErrEvent  Reference to a EmergencyLocationReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onEmergencyLocationReportErrEvent(org.csapi.jr.se.mm.ule.EmergencyLocationReportErrEvent emergencyLocationReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the emergencyLocationReport() method on
     * the callback interface.
     *
     * @param  emergencyLocationReportEvent  Reference to a EmergencyLocationReportEvent event
     *        emmited from the impl or activity object.
     */
    void onEmergencyLocationReportEvent(org.csapi.jr.se.mm.ule.EmergencyLocationReportEvent emergencyLocationReportEvent);
    

}
