//Source file: UserLocationEmergency.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.ule;

/**
 * This interface represents a UserLocationEmergency.<BR>
 *
 */
public interface UserLocationEmergency extends org.csapi.jr.se.Service {

    /**
     * Adds a UserLocationEmergencyListener which is interested in events generated by the UserLocationEmergency.
     *
     * @param  userLocationEmergencyListener  A reference to the UserLocationEmergencyListener which is to be added as
     *         a listener.
     */
    void addUserLocationEmergencyListener(org.csapi.jr.se.mm.ule.UserLocationEmergencyListener userLocationEmergencyListener);

    /**
     * Removes a UserLocationEmergencyListener which is no longer interested in events generated by the UserLocationEmergency.
     *
     * @param  userLocationEmergencyListener  A reference to the UserLocationEmergencyListener which is to be removed as
     *         a listener.
     */
    void removeUserLocationEmergencyListener(org.csapi.jr.se.mm.ule.UserLocationEmergencyListener userLocationEmergencyListener);

    /**
     * Creates a EmergencyLocationReport object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the EmergencyLocationReport interface.
     */
    org.csapi.jr.se.mm.ule.EmergencyLocationReport createEmergencyLocationReport();

    /**
     * Creates a EmergencyLocationReports object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the EmergencyLocationReports interface.
     */
    org.csapi.jr.se.mm.ule.EmergencyLocationReports createEmergencyLocationReports();

}
