//Source file: ExtTriggeredStatusReportingListener.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.us;

/**
 * This interface is to be implemented for receiving events issued by the ExtTriggeredStatusReporting activity object.<BR>
 *
 */
public interface ExtTriggeredStatusReportingListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the triggeredReportingEnded() method on
     * the callback interface.
    *
     * @param  triggeredReportingEndedEvent  Reference to a TriggeredReportingEndedEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredReportingEndedEvent(org.csapi.jr.se.mm.us.TriggeredReportingEndedEvent triggeredReportingEndedEvent);
    
    /**
     * Called due to a Gateway initiated call to the extTriggeredStatusReportErr() method on
     * the callback interface.
     *
     * @param  extTriggeredStatusReportErrEvent  Reference to a ExtTriggeredStatusReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onExtTriggeredStatusReportErrEvent(org.csapi.jr.se.mm.us.ExtTriggeredStatusReportErrEvent extTriggeredStatusReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the extTriggeredStatusReport() method on
     * the callback interface.
     *
     * @param  extTriggeredStatusReportEvent  Reference to a ExtTriggeredStatusReportEvent event
     *        emmited from the impl or activity object.
     */
    void onExtTriggeredStatusReportEvent(org.csapi.jr.se.mm.us.ExtTriggeredStatusReportEvent extTriggeredStatusReportEvent);
    

}
