//Source file: ExtendedStatusReport.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.us;

/**
 * This interface represents a ExtendedStatusReport activity object.<BR>
 *
 */
public interface ExtendedStatusReport extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UserStatus responsible for creation of the ExtendedStatusReport.
     *
     * @return  A reference to the UserStatus responsible for creation of the ExtendedStatusReport.
     */
    org.csapi.jr.se.mm.us.UserStatus getUserStatus();

    /**
     * Adds a ExtendedStatusReportListener which is interested in events generated by the ExtendedStatusReport.
     *
     * @param  extendedStatusReportListener  A reference to the ExtendedStatusReportListener which is to be added as
     *        a listener.
     */
    void addExtendedStatusReportListener(org.csapi.jr.se.mm.us.ExtendedStatusReportListener extendedStatusReportListener);

    /**
     * Removes a ExtendedStatusReportListener which is no longer interested events generated by the ExtendedStatusReport.
     *
     * @param  extendedStatusReportListener  A reference to the ExtendedStatusReportListener which is to be removed as
     *        a listener.
     */
    void removeExtendedStatusReportListener(org.csapi.jr.se.mm.us.ExtendedStatusReportListener extendedStatusReportListener);

    /**
     * Invokes the extendedStatusReportReq() method on the Parlay Gateway.
     */
    void extendedStatusReportReq(
           org.csapi.jr.se.Address[] users)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.UnknownSubscriberException,
       org.csapi.jr.se.InformationNotAvailableException,
       org.csapi.jr.se.ApplicationNotActivatedException,
       org.csapi.jr.se.InvalidInterfaceTypeException;
}
