//Source file: ExtendedStatusReportListener.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.us;

/**
 * This interface is to be implemented for receiving events issued by the ExtendedStatusReport activity object.<BR>
 *
 */
public interface ExtendedStatusReportListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the extendedStatusReportErr() method on
     * the callback interface.
     *
     * @param  extendedStatusReportErrEvent  Reference to a ExtendedStatusReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onExtendedStatusReportErrEvent(org.csapi.jr.se.mm.us.ExtendedStatusReportErrEvent extendedStatusReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the extendedStatusReportRes() method on
     * the callback interface.
    *
     * @param  extendedStatusReportResEvent  Reference to a ExtendedStatusReportResEvent event
     *        emmited from the impl or activity object.
     */
    void onExtendedStatusReportResEvent(org.csapi.jr.se.mm.us.ExtendedStatusReportResEvent extendedStatusReportResEvent);
    

}
