//Source file: ExtendedStatusReportResEvent.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.us;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the extendedStatusReportRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class ExtendedStatusReportResEvent extends java.util.EventObject {

    /**
     * Constructor for the ExtendedStatusReportResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ExtendedStatusReportResEvent(java.lang.Object source,
        org.csapi.jr.se.mm.UserStatusExtended[] status) {

        super(source);
      this.status = status;
 
    }

    org.csapi.jr.se.mm.UserStatusExtended[] status;

    /**
     *  This method is used to retrieve the parameter value of 'status' passed up
     *  from the Gateway in it's call to the extendedStatusReportRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'status' used on creation of this event.
     */
    public org.csapi.jr.se.mm.UserStatusExtended[] getStatus() {

        return this.status;
    }
       
}

