//Source file: StatusReport.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.us;

/**
 * This interface represents a StatusReport activity object.<BR>
 *
 */
public interface StatusReport extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UserStatus responsible for creation of the StatusReport.
     *
     * @return  A reference to the UserStatus responsible for creation of the StatusReport.
     */
    org.csapi.jr.se.mm.us.UserStatus getUserStatus();

    /**
     * Adds a StatusReportListener which is interested in events generated by the StatusReport.
     *
     * @param  statusReportListener  A reference to the StatusReportListener which is to be added as
     *        a listener.
     */
    void addStatusReportListener(org.csapi.jr.se.mm.us.StatusReportListener statusReportListener);

    /**
     * Removes a StatusReportListener which is no longer interested events generated by the StatusReport.
     *
     * @param  statusReportListener  A reference to the StatusReportListener which is to be removed as
     *        a listener.
     */
    void removeStatusReportListener(org.csapi.jr.se.mm.us.StatusReportListener statusReportListener);

    /**
     * Invokes the statusReportReq() method on the Parlay Gateway.
     */
    void statusReportReq(
           org.csapi.jr.se.Address[] users)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.UnknownSubscriberException,
       org.csapi.jr.se.InformationNotAvailableException,
       org.csapi.jr.se.ApplicationNotActivatedException,
       org.csapi.jr.se.InvalidInterfaceTypeException;
}
