//Source file: StatusReportListener.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.us;

/**
 * This interface is to be implemented for receiving events issued by the StatusReport activity object.<BR>
 *
 */
public interface StatusReportListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the statusReportErr() method on
     * the callback interface.
     *
     * @param  statusReportErrEvent  Reference to a StatusReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onStatusReportErrEvent(org.csapi.jr.se.mm.us.StatusReportErrEvent statusReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the statusReportRes() method on
     * the callback interface.
     *
     * @param  statusReportResEvent  Reference to a StatusReportResEvent event
     *        emmited from the impl or activity object.
     */
    void onStatusReportResEvent(org.csapi.jr.se.mm.us.StatusReportResEvent statusReportResEvent);
    

}
