//Source file: TriggeredStatusReportingListener.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.us;

/**
 * This interface is to be implemented for receiving events issued by the TriggeredStatusReporting activity object.<BR>
 *
 */
public interface TriggeredStatusReportingListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the triggeredReportingEnded() method on
     * the callback interface.
     *
     * @param  triggeredReportingEndedEvent  Reference to a TriggeredReportingEndedEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredReportingEndedEvent(org.csapi.jr.se.mm.us.TriggeredReportingEndedEvent triggeredReportingEndedEvent);
    
    /**
     * Called due to a Gateway initiated call to the triggeredStatusReportErr() method on
     * the callback interface.
    *
     * @param  triggeredStatusReportErrEvent  Reference to a TriggeredStatusReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredStatusReportErrEvent(org.csapi.jr.se.mm.us.TriggeredStatusReportErrEvent triggeredStatusReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the triggeredStatusReport() method on
     * the callback interface.
     *
     * @param  triggeredStatusReportEvent  Reference to a TriggeredStatusReportEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredStatusReportEvent(org.csapi.jr.se.mm.us.TriggeredStatusReportEvent triggeredStatusReportEvent);
    

}
